import { CollapsibleSizesType } from './constants';
import { Attributes } from "../../helpers/Dom/attribute";
export declare class GovCollapsible {
    private h;
    private hydrated;
    private readonly triggerId;
    private readonly contentId;
    private attributeObserver;
    constructor();
    host: HTMLGovCollapsibleElement;
    /**
     * Element size.
     */
    readonly size?: CollapsibleSizesType;
    /**
     * Custom input identifier.
     */
    readonly identifier: string;
    readonly label: string;
    /**
     * Makes component disabled.
     */
    readonly disabled: boolean;
    /**
     * Defines whether the collapsible is open or closed
     */
    open: boolean;
    inheritedAttributes: Attributes;
    validateSize(newValue: string): void;
    componentDidLoad(): void;
    componentWillLoad(): void;
    onAriaAttributeChange(attributeName: string, newValue: string): void;
    disconnectedCallback(): void;
    connectedCallback(): void;
    render(): any;
}
